2018-04-10 Analysis v30r0
=========================

Development release prepared on the master branch.

It is based on Gaudi v30r2, LHCb v50r0, Lbcom v30r0, Rec v30r0 and Phys v30r0, and uses LCG_93 with ROOT 6.12.06.

- Fixes to StatusCode returns in Phys/AnalysisPython
  - See merge request lhcb/Analysis!319
- Addition of 'TupleToolCorrectedMass', for the calculation of the corrected mass and its error
  - See merge request lhcb/Analysis!301
- Cherry-pick MR !315 to master branch
  - See merge request lhcb/Analysis!318
- Cherry-pick MR !310 to master branch
  - See merge request lhcb/Analysis!314
- Cherry-pick MR !309 to master branch
  - See merge request lhcb/Analysis!313
- Cherry-pick MR !305 to master branch
  - See merge request lhcb/Analysis!312
- Cherry-pick MR !304 to master branch
  - See merge request lhcb/Analysis!311
- Cherry-pick MR !300 to master branch
  - See merge request lhcb/Analysis!303
- Removed use of deprecated factories
  - See merge request lhcb/Analysis!299
- Cherry-pick MR !297 to master branch
  - See merge request lhcb/Analysis!298
- Cherry-pick MR !294 to master branch
  - See merge request lhcb/Analysis!296
- Cherry-pick MR !292 to master branch
  - See merge request lhcb/Analysis!293
- Cherry-pick MR !290 to master branch
  - See merge request lhcb/Analysis!291
- Cherry-pick MR !288 to master branch
  - See merge request lhcb/Analysis!289
- Cherry-pick MR !283 to master branch
  - See merge request lhcb/Analysis!287
- Cherry-pick MR !281 to master branch
  - See merge request lhcb/Analysis!285
- Cherry-pick MR !279 to master branch
  - See merge request lhcb/Analysis!284
- Removed use of deprecated factories
  - See merge request lhcb/Analysis!216
- Cherry-pick MR !278 to master branch
  - See merge request lhcb/Analysis!280
- Cherry-pick MR !273 to master branch
  - See merge request lhcb/Analysis!277
- Cherry-pick MR !271 to master branch
  - See merge request lhcb/Analysis!275
- Cherry-pick MR !248 into master branch
  - See merge request lhcb/Analysis!274
- Cherry-pick MR !270 to master branch
  - See merge request lhcb/Analysis!272
- Cherry-pick MR !268 to master branch
  - See merge request lhcb/Analysis!269
- ADL purpose in case of future inclusion of library with math functions redifinition
  - See merge request lhcb/Analysis!266
- Updating master with MR!263 contents
  - See merge request lhcb/Analysis!265
- Ostap: resubmit MR for master branch
  - See merge request lhcb/Analysis!262
- Cherry-pick MR !261 to master branch
  - See merge request lhcb/Analysis!264
- Cherry-pick MR !257 into master branch
  - See merge request lhcb/Analysis!260
- Forward compatibility for gaudi/Gaudi!514
  - See merge request lhcb/Analysis!246
- Cherry-pick MR ! 252 into master branch
  - See merge request lhcb/Analysis!254
- Cherry-pick MR !245 to master
  - See merge request lhcb/Analysis!253
- Cherry-pick MR !243 to master branch
  - See merge request lhcb/Analysis!244
- Cherry-pick MR !241 to master
  - See merge request lhcb/Analysis!242
- Cherry-pick MR !239 from 2018-patches to master
  - See merge request lhcb/Analysis!240
- Added angle calculator for decay B+ -> K*+ MuMu
  - See merge request lhcb/Analysis!221
- Added option StoreFirstMeasurement that stores first measurements
  - See merge request lhcb/Analysis!233
- Further adaption of TupleToolRICHPid
  - See merge request lhcb/Analysis!230
- Adapt to the removal of the old RICH framework.
  - See merge request lhcb/Analysis!225
- Cherry-pick MR!223 into master
  - See merge request lhcb/Analysis!229
- Cherry-pick MR!222 into master
  - See merge request lhcb/Analysis!228
- Cherry-pick MR!226 into master branch
  - See merge request lhcb/Analysis!227
- Fixes to clang warnings
  - See merge requests lhcb/Analysis!219 and lhcb/Analysis!220
- Cherry-pick MR !215 into master
  - See merge request lhcb/Analysis!217
- Merged future into master
  - See merge request lhcb/Analysis!214
- Cherry-pick MR !211 into master
  - See merge request !212
- DaVinciTrackRefitting: fix class/struct mismatches
  - See merge request !204
- Fix logic bug in if statement
  - See merge request !201
- Cherry-pick MR !205 to master
  - See merge request !208
- DecayTreeTuple: Fix class/struct mismatches and other cleanups
  - See merge request !207
- JetAccessoriesMC: fix class/struct mismatches, remove empty destructors and finalize methods
  - See merge request !206
- HltSelChecker: fix class/struct mismatches
  - See merge request !203
- VertexFitCheck: fix class/struct mismatches
  - See merge request !202
- Cherry-pick MR !194 into master
  - See merge request !200
- Sync with master
  - See merge request !198
- Ostap: fitting machinery moved to a separate module
  - See merge request !196
- Add Vc dependencies
  - See merge request !195
