2023-08-08 Analysis v41r11
===

This version uses Moore [v54r15](../../../../Moore/-/tags/v54r15,
Allen [v3r15](../../../../Allen/-/tags/v3r15),
Rec [v35r14](../../../../Rec/-/tags/v35r14),
Lbcom [v34r14](../../../../Lbcom/-/tags/v34r14),
LHCb [v54r14](../../../../LHCb/-/tags/v54r14),
Detector [v1r18](../../../../Detector/-/tags/v1r18),
Gaudi [v36r16](../../../../Gaudi/-/tags/v36r16) and
LCG [103](http://lcginfo.cern.ch/release/103/) with ROOT 6.28.00.


This version is released on the `master` branch.
Built relative to Analysis [v41r10](/../../tags/v41r10), with the following changes:


### Enhancements ~enhancement

- Add more to pre-commit-hooks, !998 (@erodrigu)
- Modernise code for Python 3.9+, !994 (@erodrigu)
- Add pre-commit hooks Black, Flake8, codespell, pre-commit-hooks, more MyPy, !993 (@erodrigu)
- Introduce a pre-commit hook and MyPy, implement type hints only for Phys/DaVinciMCTools for now, !990 (@erodrigu)


### Documentation ~Documentation

- Clean up CONTRIBUTING.md following obsoletion of stripping24-patches branch, !989 (@cattanem)

### Other

- ~Functors | Fix ParticleIsolation functorcollection, implement ConeIsolation, !996 (@tfulghes)
