2024-01-29 Analysis v42r0
===

This version uses
Rec [v36r0](../../../../Rec/-/tags/v36r0),
Lbcom [v35r0](../../../../Lbcom/-/tags/v35r0),
LHCb [v55r0](../../../../LHCb/-/tags/v55r0),
Gaudi [v37r2](../../../../Gaudi/-/tags/v37r2),
Detector [v1r25](../../../../Detector/-/tags/v1r25) and
LCG [104](http://lcginfo.cern.ch/release/104/) with ROOT 6.28.04.

This version is released on the `master` branch.
Built relative to Analysis [v41r15](/../../tags/v41r15), with the following changes:

### New features ~"new feature"

- ~Flavour tagging | Add support in FunTuple for vector of enums (useful for FlavourTagging info), !1043 (@scelani)


### Enhancements ~enhancement

- ~Functors | Add functorcollection for vertex isolation, !913 (@tfulghes)
- ~Tuples | Add an extra check for []CC in the decay descriptor of FunTuple, !1018 (@jzhuo)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- Use `get_hlt1_selreports` instead of `make_data_with_FetchDataFromFile`, !1042 (@graven)
- Streamline some FunTuple::fill_ functions, !1038 (@graven)
- Make the []CC check softer, !1041 (@jzhuo)
