2020-02-28 Analysis v31r0
===

This version uses
Phys [v31r0](../../Phys/-/tags/v31r0),
Rec [v31r0](../../Rec/-/tags/v31r0),
Lbcom [v31r0](../../Lbcom/-/tags/v31r0),
LHCb [v51r0](../../LHCb/-/tags/v51r0),
Gaudi [v33r0](../../../gaudi/Gaudi/-/tags/v33r0) and
LCG [96b](http://lcginfo.cern.ch/release/96b/) with ROOT 6.18.04.

This version is released on `master` branch.
Built relative to Analysis [v30r6](../-/tags/v30r6), with the following changes:

### New features ~"new feature"

- ~Tuples | Add SubVertexing tool, !574 (@hicheur)


### Fixes ~"bug fix" ~workaround

- ~Tuples | Make MCTupleToolRedecay work if RootInTES is set, !567 (@mibjoern)
- ~Tuples | Don't mark parent particle in setDescriptorTemplate, !563 (@legreeve)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Tracking | First go at removing Run2 specific code, !547 (@sponce)
- ~"MC checking" | Follow changes in lhcb/LHCb!2182, !556 (@graven)
- ~"MC checking" ~Tuples | Fix Misc. clang8 and gcc9 warnings, !566 (@jonrob)
- ~Monitoring ~Tuples | Fixed trivial compilation warnings, !565 (@sponce)
- ~Tuples | Ranges v3 0.10 compatibility fix, !580 (@graven)
- ~Tuples | Modernize MCDecayTreeTuple, TupleToolTrigger and TupleToolEventInfo, !576 (@rjhunter)
- ~Tuples | Fixed warnings in TupleToolEventInfo default config, !559 (@erodrigu)
- ~Build | Add formatting check in CI jobs, !589 (@rmatev)
- ~Build | Fix copyright check in CI, !575 (@rmatev)
