2021-07-08 Analysis v34r0
===

This version uses
  Gaudi v36r0
  LHCb v53r0
  Lbcom v33r0
  Rec v33r0
  and Phys: v33r0.

This version is released on `master` branch.
Built relative to Analysis [v33r0](../-/tags/v33r0), with the following changes:

### New features ~"new feature"

- ~Tuples | Add a new tuple tool that emulates TOS-matching on MC particles, !604 (@rjhunter)
- ~Functors ~Tuples | Support for ThOr functor in FunTuple, !792 (@amathad)


### Fixes ~"bug fix" ~workaround

- ~Core | Adapted code to explicit geometry, !794 (@sponce)


### Enhancements ~enhancement

- ~Tuples | Improve user-interface, add special branch for common set of variables and introduce basic set of Kinematics functors, !797 (@amathad)
- Input to PrintDecayTree, !791 (@pkoppenb)
- Add ToolHandles to DaVinciSmartAssociator and BackgroundCategory, !781 (@cprouve)
- ParticleDescendants  - make functions const, !779 (@cprouve)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~PID | Follow changes in lhcb/Rec!2387, !780 (@graven)
- ~"MC checking" ~Tuples | Fix clang 11 warnings, !799 (@rmatev)
- ~Tuples | Remove dependency on MVADict, !783 (@pkoppenb)
- ~Build | Rewrite CMake configuration in "modern CMake", !793 (@clemenci)
- Adapted code to new Particle2MCLinker, !785 (@sponce)


### Documentation ~Documentation

- Update CONTRIBUTING.md to update supported platforms, !788 (@cattanem)

### Other

- Fix: workaround clang 11 bug by using STL over rangeV3, !796 (@chasse)
