2021-10-28 Analysis v34r1
===

This version uses
Phys [v33r3](../../../../Phys/-/tags/v33r3),
Rec [v33r3](../../../../Rec/-/tags/v33r3),
Lbcom [v33r4](../../../../Lbcom/-/tags/v33r4),
LHCb [v53r4](../../../../LHCb/-/tags/v53r4),
Gaudi [v36r2](../../../../Gaudi/-/tags/v36r2) and
LCG [101](http://lcginfo.cern.ch/release/101/) with ROOT 6.24.06.

This version is released on `master` branch.
Built relative to Analysis [v34r0](/../../tags/v34r0), with the following changes:

### New features ~"new feature"

- RefBot going live!, !822 (@chasse)
- ~Jets | Adding JetAccessoriesMC for MCjet reconstruction, !795 (@rangel)

### Fixes ~"bug fix" ~workaround

- ~Build | Fix: cmake warning configurable SelDSTWriter missining in database, !811 (@chasse)
- TOS match on track-by-track basis in MCTupleToolTOS, !817 (@rjhunter)

### Enhancements ~enhancement

- ~Tuples | Update the methods of the FunctorCollection tool (FunTuple), !809 (@mferrill) [#15]
- Make MCTupleToolTOS compatible with HLT2, !808 (@rjhunter)

### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Tuples | Remove Phys/DaVinciTrackRefitting, !825 (@erodrigu)
- ~Tuples | Remove various unused tupletools from Phys/DecayTreeTuple, !824 (@erodrigu) [lhcb-dpa/project#7]
- ~Tuples | Remove Phys/DecayTreeTupleANNPID, !823 (@erodrigu) [lhcb-dpa/project#7]
- ~Tuples | Remove Phys/DecayTreeTupleDalitz and Phys/DecayTreeTupleMuonCalib, !821 (@erodrigu) [lhcb-dpa/project#7]
- ~Tuples | Remove Phys/DecayTreeTupleTracking and Phys/DecayTreeTupleHerschel, !820 (@erodrigu) [lhcb-dpa/project#7]
- ~Tuples | Lint all Phys/FunTuple, !806 (@erodrigu)
- Remove legacy Rich/RichPIDQC and Phys/ParticleMakerChecker packages, !829 (@erodrigu)
- Minor fixes for compatibility with new ODIN implementation, !818 (@clemenci)
- There is no print() method in FunctorCollection, !814 (@pkoppenb)
- Dropped usage of (UN)LIKELY macro, !810 (@sponce)
