2023-12-07 Analysis v41r15
===

This version uses
Rec [v35r21](../../../../Rec/-/tags/v35r21),
Lbcom [v34r21](../../../../Lbcom/-/tags/v34r21),
LHCb [v54r21](../../../../LHCb/-/tags/v54r21),
Gaudi [v36r16](../../../../Gaudi/-/tags/v36r16),
Detector [v1r24](../../../../Detector/-/tags/v1r24) and
LCG [103](http://lcginfo.cern.ch/release/103/) with ROOT 6.28.00.

This version is released on the `master` branch.
Built relative to Analysis [v41r14](/../../tags/v41r14), with the following changes:

### Fixes ~"bug fix" ~workaround

- ~Functors | Addresses "FC.ParticleIsolation behaviour for CMULT=0", !1019 (@lugrazet)


### Enhancements ~enhancement

- ~Tuples | Full FunTuple test coverage, !1027 (@erodrigu)
- ~Tuples | If functor returns track state, then tuple all the associated info (location, statevector, covariance, z location), !1020 (@amathad)
- Make CTest do not truncate pytest output, !1029 (@erodrigu)
- ~Configuration | For TurboPass and Spruce process get the ROOT_TES for TISTOS from upstream (Follow https://gitlab.cern.ch/lhcb/LHCb/-/merge_requests/4356), !1022 (@amathad)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- Move DaVinciMCTools to Rec, part 2, !1035 (@pkoppenb)
- Move DaVinciMCTools to Rec, !1034 (@pkoppenb)
- Remove legacy DumpParticle, !1033 (@pkoppenb) [#52]
- Remove legacy package Phys/AnalysisPython, !1032 (@erodrigu)
- Remove legacy package JetAccessoriesMC, !1031 (@erodrigu)
- Remove legacy package Phys/DaVinciTrackScaling, !1021 (@erodrigu)
