2023-01-27 Analysis v41r4
===

This version uses
Rec [v35r4](../../../../Rec/-/tags/v35r4),
Lbcom [v34r4](../../../../Lbcom/-/tags/v34r4),
LHCb [v54r4](../../../../LHCb/-/tags/v54r4),
Gaudi [v36r9](../../../../Gaudi/-/tags/v36r9),
Detector [v1r8](../../../../Detector/-/tags/v1r8) and
LCG [101a](http://lcginfo.cern.ch/release/101a_LHCB_7/) with ROOT 6.24.08.

This version is released on the `master` branch.
Built relative to Analysis [v41r3](/../../tags/v41r3), with the following changes:

### Enhancements ~enhancement

- ~Functors | Making DaVinci MC tools more consistent, !945 (@erodrigu)
- ~Functors | Functor to call HLT1 tis/tos info, !935 (@oozcelik)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- Remove unused Phys/DaVinciMCTools/src/MCReconstructed tool, !944 (@erodrigu)

### Other

- ~Functors ~Tuples | Add a PID functor collection, !950 (@pkoppenb)
- ~Functors ~Tuples | Add array input support for the thor functor grammar, !948 (@jzhuo) [gitlab.cern.ch/lhcb/Rec/-/merge_requests/3283#95429,gitlab.cern.ch/lhcb/Rec/-/merge_requests/3283/diffs#95429]
- ~Tuples | Tuple run and event number by default, !929 (@amathad)
- Follow changes in LHCb!3917, !943 (@graven)
- Follow changes in LHCb!3912, !941 (@graven)
